summaryrefslogtreecommitdiff
path: root/include/get.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-03-29 16:25:41 +0100
committerLeah Rowe <leah@libreboot.org>2026-03-29 16:25:41 +0100
commit01aa95ec15ed5a6e519f1d3887e105a40e17b84c (patch)
treeb7bfac44fde5ad7f8702b274150551a93b01bc7f /include/get.sh
parente54862fcccca0325da8ae2879c1fa965267d3df0 (diff)
Revert "lbmk: use mkhtemp in libreboot's build system"
This reverts commit e54862fcccca0325da8ae2879c1fa965267d3df0. nope. not ready yet. will fix it later.
Diffstat (limited to 'include/get.sh')
-rw-r--r--include/get.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/include/get.sh b/include/get.sh
index 5f932b07..3e25ea3f 100644
--- a/include/get.sh
+++ b/include/get.sh
@@ -334,7 +334,7 @@ bad_checksum()
return 0
fi
- bootstrap_utils
+ build_sbase
csum="$(x_ "$sha512sum" "$2" | awk '{print $1}')" || \
err "!sha512 '$2' $1" bad_checksum "$@"
@@ -355,7 +355,7 @@ tmpclone()
return 0
fi
- tmpclone_patchlist="`"$mkhtemp" || err "Can't create tmp patch list"`" || \
+ tmpclone_patchlist="`mktemp || err "Can't create tmp patch list"`" || \
err "Can't create tmp patch list" "tmpclone" "$@"
x_ find "$4" -type f | sort > "$tmpclone_patchlist" || \